Metafunction
Iterator
Type of iterator objects that are used to traverse the container.
Iterator<T, TSpec>::Type
Include Headers
seqan/basic.h
Parameters

T | Spec.Journal String Type for which the iterator type is determined. Types: Container: ModifiedString, String AlignCols, BlastReport, Block String, char array, Dequeue, Finder, FrequencyDistribution, Gaps, Graph, Iter, SeedSet, Segment, std::basic_string, std::list, std::vector
TSpec | Specifies an iterator spec. Default: The default iterator spec is given by DefaultIteratorSpec.

Remarks
Iterators behave like pointers in some respects. For example, you can use *it to access the value object the iterator it points to. But note that Iterator<T>::Type can differ from T *, depending on T.
Return Values

Type | Iterator type of T.

Functions

infix | Creates infix object.
infixWithLength | Creates infix object.
parseString | Parses a string one character at a time and moves accordingly in the automaton.
parseString | Parses a string one character at a time and moves accordingly in the automaton.
prefix | Creates prefix object.
setBegin | Sets begin of object in host.
setEnd | Sets end of object in host.
suffix | Creates suffix object.

Example Programs
Iterator Basics, Rooted Iterators
See Also
begin, DefaultIteratorSpec, end, iter, Position, DefaultGetIteratorSpec
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50